Browse Source

Normalize HAL/STM32 targets (#17904)

Jason Smith 4 years ago
parent
commit
ba9a9bbe58
No account linked to committer's email address

+ 6
- 2
.github/workflows/test-builds.yml View File

52
         - jgaurora_a5s_a1
52
         - jgaurora_a5s_a1
53
         - STM32F103VE_longer
53
         - STM32F103VE_longer
54
         - STM32F407VE_black
54
         - STM32F407VE_black
55
+        - STM32F401VE_STEVAL
56
+        - BIGTREE_BTT002
55
         - BIGTREE_SKR_PRO
57
         - BIGTREE_SKR_PRO
56
         - BIGTREE_GTR_V1_0
58
         - BIGTREE_GTR_V1_0
57
         - mks_robin
59
         - mks_robin
58
         - ARMED
60
         - ARMED
59
         - FYSETC_S6
61
         - FYSETC_S6
62
+        - STM32F070RB_malyan
60
         - malyan_M300
63
         - malyan_M300
61
         - mks_robin_lite
64
         - mks_robin_lite
65
+        - FLYF407ZG
66
+        - rumba32_f446ve
67
+        - rumba32_mks
62
         - mks_robin_pro
68
         - mks_robin_pro
63
 
69
 
64
         # Put lengthy tests last
70
         # Put lengthy tests last
72
         #- STM32F7
78
         #- STM32F7
73
 
79
 
74
         # Non-working environment tests
80
         # Non-working environment tests
75
-
76
-        #- BIGTREE_BTT002
77
         #- at90usb1286_cdc
81
         #- at90usb1286_cdc
78
         #- at90usb1286_dfu
82
         #- at90usb1286_dfu
79
         #- STM32F103CB_malyan
83
         #- STM32F103CB_malyan

+ 0
- 1
buildroot/share/PlatformIO/boards/BigTree_Btt002.json View File

14
         "0x3748"
14
         "0x3748"
15
       ]
15
       ]
16
     ],
16
     ],
17
-    "ldscript": "stm32f407xg.ld",
18
     "mcu": "stm32f407vgt6",
17
     "mcu": "stm32f407vgt6",
19
     "variant": "BIGTREE_BTT002"
18
     "variant": "BIGTREE_BTT002"
20
   },
19
   },

+ 0
- 1
buildroot/share/PlatformIO/boards/BigTree_SKR_Pro.json View File

14
         "0x3748"
14
         "0x3748"
15
       ]
15
       ]
16
     ],
16
     ],
17
-    "ldscript": "stm32f407xg.ld",
18
     "mcu": "stm32f407zgt6",
17
     "mcu": "stm32f407zgt6",
19
     "variant": "BIGTREE_SKR_PRO_1v1"
18
     "variant": "BIGTREE_SKR_PRO_1v1"
20
   },
19
   },

+ 0
- 1
buildroot/share/PlatformIO/boards/FLYF407ZG.json View File

14
         "0x3748"
14
         "0x3748"
15
       ]
15
       ]
16
     ],
16
     ],
17
-    "ldscript": "stm32f407xg.ld",
18
     "mcu": "stm32f407zgt6",
17
     "mcu": "stm32f407zgt6",
19
     "variant": "FLY_F407ZG"
18
     "variant": "FLY_F407ZG"
20
   },
19
   },

+ 0
- 1
buildroot/share/PlatformIO/boards/blackSTM32F407VET6.json View File

14
         "0x3748"
14
         "0x3748"
15
       ]
15
       ]
16
     ],
16
     ],
17
-    "ldscript": "stm32f407xe.ld",
18
     "mcu": "stm32f407vet6",
17
     "mcu": "stm32f407vet6",
19
     "variant": "MARLIN_F407VE"
18
     "variant": "MARLIN_F407VE"
20
   },
19
   },

+ 4
- 1
buildroot/share/tests/ARMED-tests View File

9
 #
9
 #
10
 # Build with the default configurations
10
 # Build with the default configurations
11
 #
11
 #
12
+restore_configs
12
 use_example_configs ArmEd
13
 use_example_configs ArmEd
13
-exec_test $1 $2 "ArmEd Example Configuration"
14
+opt_set X_DRIVER_TYPE TMC2130
15
+opt_set Y_DRIVER_TYPE TMC2208
16
+exec_test $1 $2 "ArmEd Example Configuration with mixed TMC Drivers"
14
 
17
 
15
 # clean up
18
 # clean up
16
 restore_configs
19
 restore_configs

+ 3
- 1
buildroot/share/tests/BIGTREE_GTR_V1_0-tests View File

21
 opt_set E0_AUTO_FAN_PIN PC10
21
 opt_set E0_AUTO_FAN_PIN PC10
22
 opt_set E1_AUTO_FAN_PIN PC11
22
 opt_set E1_AUTO_FAN_PIN PC11
23
 opt_set E2_AUTO_FAN_PIN PC12
23
 opt_set E2_AUTO_FAN_PIN PC12
24
-exec_test $1 $2 "BigTreeTech GTR 8 Extruders with Auto-Fan"
24
+opt_set X_DRIVER_TYPE TMC2208
25
+opt_set Y_DRIVER_TYPE TMC2130
26
+exec_test $1 $2 "BigTreeTech GTR 8 Extruders with Auto-Fan and Mixed TMC Drivers"
25
 
27
 
26
 restore_configs
28
 restore_configs
27
 opt_set MOTHERBOARD BOARD_BTT_GTR_V1_0
29
 opt_set MOTHERBOARD BOARD_BTT_GTR_V1_0

+ 2
- 1
buildroot/share/tests/BIGTREE_SKR_PRO-tests View File

23
 opt_set E0_AUTO_FAN_PIN PC10
23
 opt_set E0_AUTO_FAN_PIN PC10
24
 opt_set E1_AUTO_FAN_PIN PC11
24
 opt_set E1_AUTO_FAN_PIN PC11
25
 opt_set E2_AUTO_FAN_PIN PC12
25
 opt_set E2_AUTO_FAN_PIN PC12
26
+opt_set BLTOUCH Z_SAFE_HOMING
26
 opt_set X_DRIVER_TYPE TMC2209
27
 opt_set X_DRIVER_TYPE TMC2209
27
 opt_set Y_DRIVER_TYPE TMC2130
28
 opt_set Y_DRIVER_TYPE TMC2130
28
-exec_test $1 $2 "BigTreeTech SKR Pro 3 Extruders with Auto-Fan and mixed TMC drivers"
29
+exec_test $1 $2 "BigTreeTech SKR Pro 3 Extruders, Auto-Fan, BLTOUCH, and mixed TMC drivers"
29
 
30
 
30
 # clean up
31
 # clean up
31
 restore_configs
32
 restore_configs

+ 18
- 0
buildroot/share/tests/FLYF407ZG-tests View File

1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for FLYF407ZG
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+# Build examples
10
+restore_configs
11
+opt_set MOTHERBOARD BOARD_FLYF407ZG
12
+opt_set SERIAL_PORT -1
13
+opt_set X_DRIVER_TYPE TMC2208
14
+opt_set Y_DRIVER_TYPE TMC2130
15
+exec_test $1 $2 "FLYF407ZG Default Config with mixed TMC Drivers"
16
+
17
+# cleanup
18
+restore_configs

+ 2
- 0
buildroot/share/tests/FYSETC_S6-tests View File

9
 # Build examples
9
 # Build examples
10
 restore_configs
10
 restore_configs
11
 use_example_configs FYSETC/S6
11
 use_example_configs FYSETC/S6
12
+opt_set Y_DRIVER_TYPE TMC2209
13
+opt_set Z_DRIVER_TYPE TMC2130
12
 exec_test $1 $2 "FYSETC S6 Example"
14
 exec_test $1 $2 "FYSETC S6 Example"
13
 
15
 
14
 # cleanup
16
 # cleanup

+ 15
- 0
buildroot/share/tests/STM32F070RB_malyan-tests View File

1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for STM32F070RB Malyan M200 v2
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+restore_configs
10
+opt_set MOTHERBOARD BOARD_MALYAN_M200_V2
11
+opt_set SERIAL_PORT -1
12
+exec_test $1 $2 "Malyan M200 v2 Default Config"
13
+
14
+# cleanup
15
+restore_configs

+ 16
- 0
buildroot/share/tests/STM32F401VE_STEVAL-tests View File

1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for STM32F401VE_STEVAL
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+# Build examples
10
+restore_configs
11
+opt_set MOTHERBOARD BOARD_STEVAL_3DP001V1
12
+opt_set SERIAL_PORT -1
13
+exec_test $1 $2 "STM32F401VE_STEVAL Default Config"
14
+
15
+# cleanup
16
+restore_configs

+ 1
- 0
buildroot/share/tests/STM32F407VE_black-tests View File

6
 # exit on first failure
6
 # exit on first failure
7
 set -e
7
 set -e
8
 
8
 
9
+restore_configs
9
 use_example_configs STM32/Black_STM32F407VET6
10
 use_example_configs STM32/Black_STM32F407VET6
10
 opt_enable BAUD_RATE_GCODE
11
 opt_enable BAUD_RATE_GCODE
11
 exec_test $1 $2 "Full-featured Sample Black STM32F407VET6 config"
12
 exec_test $1 $2 "Full-featured Sample Black STM32F407VET6 config"

+ 1
- 0
buildroot/share/tests/malyan_M300-tests View File

6
 # exit on first failure
6
 # exit on first failure
7
 set -e
7
 set -e
8
 
8
 
9
+restore_configs
9
 use_example_configs "delta/Malyan M300"
10
 use_example_configs "delta/Malyan M300"
10
 opt_disable AUTO_BED_LEVELING_3POINT
11
 opt_disable AUTO_BED_LEVELING_3POINT
11
 exec_test $1 $2 "Malyan M300 (delta)"
12
 exec_test $1 $2 "Malyan M300 (delta)"

+ 17
- 0
buildroot/share/tests/rumba32_f446ve-tests View File

1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for rumba32_f446ve
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+# Build examples
10
+restore_configs
11
+opt_set MOTHERBOARD BOARD_RUMBA32_AUS3D
12
+opt_set SERIAL_PORT -1
13
+opt_set X_DRIVER_TYPE TMC2130
14
+exec_test $1 $2 "rumba32_f446ve Default Config with TMC2130"
15
+
16
+# cleanup
17
+restore_configs

+ 18
- 0
buildroot/share/tests/rumba32_mks-tests View File

1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for rumba32_mks
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+# Build examples
10
+restore_configs
11
+opt_set MOTHERBOARD BOARD_RUMBA32_MKS
12
+opt_set SERIAL_PORT -1
13
+opt_set X_DRIVER_TYPE TMC2130
14
+opt_set Y_DRIVER_TYPE TMC2208
15
+exec_test $1 $2 "rumba32_mks Default Config with Mixed TMC Drivers"
16
+
17
+# cleanup
18
+restore_configs

+ 21
- 13
platformio.ini View File

21
 default_envs = mega2560
21
 default_envs = mega2560
22
 
22
 
23
 [common]
23
 [common]
24
+arduinoststm32_ver = >=4.10700,<4.10800
24
 default_src_filter = +<src/*> -<src/config> -<src/HAL> +<src/HAL/shared>
25
 default_src_filter = +<src/*> -<src/config> -<src/HAL> +<src/HAL/shared>
25
 extra_scripts = pre:buildroot/share/PlatformIO/scripts/common-cxxflags.py
26
 extra_scripts = pre:buildroot/share/PlatformIO/scripts/common-cxxflags.py
26
 build_flags = -fmax-errors=5 -g -D__MARLIN_FIRMWARE__ -fmerge-all-constants
27
 build_flags = -fmax-errors=5 -g -D__MARLIN_FIRMWARE__ -fmerge-all-constants
470
 #
471
 #
471
 [env:ARMED]
472
 [env:ARMED]
472
 platform      = ststm32
473
 platform      = ststm32
474
+platform_packages = framework-arduinoststm32@${common.arduinoststm32_ver}
473
 board         = armed_v1
475
 board         = armed_v1
474
 build_flags   = ${common.build_flags}
476
 build_flags   = ${common.build_flags}
475
   -DUSBCON -DUSBD_VID=0x0483 '-DUSB_MANUFACTURER="Unknown"' '-DUSB_PRODUCT="ARMED_V1"' -DUSBD_USE_CDC
477
   -DUSBCON -DUSBD_VID=0x0483 '-DUSB_MANUFACTURER="Unknown"' '-DUSB_PRODUCT="ARMED_V1"' -DUSBD_USE_CDC
638
 #
640
 #
639
 [env:STM32F070RB_malyan]
641
 [env:STM32F070RB_malyan]
640
 platform    = ststm32
642
 platform    = ststm32
643
+platform_packages = framework-arduinoststm32@${common.arduinoststm32_ver}
641
 board       = malyanM200v2
644
 board       = malyanM200v2
642
 build_flags = -DSTM32F0xx -DUSBCON -DUSBD_VID=0x0483 '-DUSB_MANUFACTURER="Unknown"' '-DUSB_PRODUCT="ARMED_V1"' -DUSBD_USE_CDC -DHAL_PCD_MODULE_ENABLED
645
 build_flags = -DSTM32F0xx -DUSBCON -DUSBD_VID=0x0483 '-DUSB_MANUFACTURER="Unknown"' '-DUSB_PRODUCT="ARMED_V1"' -DUSBD_USE_CDC -DHAL_PCD_MODULE_ENABLED
643
   -O2 -ffreestanding -fsigned-char -fno-move-loop-invariants -fno-strict-aliasing -std=gnu11 -std=gnu++11
646
   -O2 -ffreestanding -fsigned-char -fno-move-loop-invariants -fno-strict-aliasing -std=gnu11 -std=gnu++11
647
+  -DCUSTOM_STARTUP_FILE
644
   -IMarlin/src/HAL/STM32
648
   -IMarlin/src/HAL/STM32
645
 src_filter  = ${common.default_src_filter} +<src/HAL/STM32>
649
 src_filter  = ${common.default_src_filter} +<src/HAL/STM32>
646
-lib_ignore  = LiquidCrystal, LiquidTWI2, Adafruit NeoPixel, TMCStepper, U8glib-HAL
650
+lib_ignore  = LiquidCrystal, LiquidTWI2, Adafruit NeoPixel, TMCStepper, U8glib-HAL, SoftwareSerial
647
 
651
 
648
 #
652
 #
649
 # Malyan M300 (STM32F070CB)
653
 # Malyan M300 (STM32F070CB)
676
 #
680
 #
677
 [env:STM32F401VE_STEVAL]
681
 [env:STM32F401VE_STEVAL]
678
 platform          = ststm32
682
 platform          = ststm32
683
+platform_packages = framework-arduinoststm32@${common.arduinoststm32_ver}
679
 board             = STEVAL_STM32F401VE
684
 board             = STEVAL_STM32F401VE
680
-platform_packages = framework-arduinoststm32@>=3.10700,<4
681
 build_flags       = ${common.build_flags}
685
 build_flags       = ${common.build_flags}
682
   -DTARGET_STM32F4 -DARDUINO_STEVAL -DSTM32F401xE
686
   -DTARGET_STM32F4 -DARDUINO_STEVAL -DSTM32F401xE
683
   -DUSBCON -DUSBD_USE_CDC -DUSBD_VID=0x0483 -DUSB_PRODUCT=\"STEVAL_F401VE\"
687
   -DUSBCON -DUSBD_USE_CDC -DUSBD_VID=0x0483 -DUSB_PRODUCT=\"STEVAL_F401VE\"
694
 #
698
 #
695
 [env:FLYF407ZG]
699
 [env:FLYF407ZG]
696
 platform          = ststm32
700
 platform          = ststm32
701
+platform_packages = framework-arduinoststm32@${common.arduinoststm32_ver}
697
 board             = FLYF407ZG
702
 board             = FLYF407ZG
698
-platform_packages = framework-arduinoststm32@>=3.10700,<4
699
 build_flags       = ${common.build_flags}
703
 build_flags       = ${common.build_flags}
700
   -DSTM32F4 -DUSBCON -DUSBD_USE_CDC -DUSBD_VID=0x0483 -DUSB_PRODUCT=\"STM32F407ZG\"
704
   -DSTM32F4 -DUSBCON -DUSBD_USE_CDC -DUSBD_VID=0x0483 -DUSB_PRODUCT=\"STM32F407ZG\"
701
   -DTARGET_STM32F4 -DVECT_TAB_OFFSET=0x8000
705
   -DTARGET_STM32F4 -DVECT_TAB_OFFSET=0x8000
702
   -IMarlin/src/HAL/STM32
706
   -IMarlin/src/HAL/STM32
703
 build_unflags     = -std=gnu++11
707
 build_unflags     = -std=gnu++11
704
 extra_scripts     = pre:buildroot/share/PlatformIO/scripts/generic_create_variant.py
708
 extra_scripts     = pre:buildroot/share/PlatformIO/scripts/generic_create_variant.py
705
-lib_ignore        = Adafruit NeoPixel, TMCStepper, SailfishLCD, SlowSoftI2CMaster, SoftwareSerial
709
+lib_ignore        = Adafruit NeoPixel, SailfishLCD, SlowSoftI2CMaster, SoftwareSerial
706
 src_filter        = ${common.default_src_filter} +<src/HAL/STM32>
710
 src_filter        = ${common.default_src_filter} +<src/HAL/STM32>
707
 
711
 
708
 
712
 
711
 #
715
 #
712
 [env:FYSETC_S6]
716
 [env:FYSETC_S6]
713
 platform          = ststm32
717
 platform          = ststm32
714
-board             = fysetc_s6
715
 platform_packages =
718
 platform_packages =
716
    tool-stm32duino
719
    tool-stm32duino
717
-   framework-arduinoststm32@>=3.10700,<4
720
+   framework-arduinoststm32@${common.arduinoststm32_ver}
721
+board             = fysetc_s6
718
 build_flags       = ${common.build_flags}
722
 build_flags       = ${common.build_flags}
719
   -DTARGET_STM32F4 -std=gnu++14
723
   -DTARGET_STM32F4 -std=gnu++14
720
   -DVECT_TAB_OFFSET=0x10000
724
   -DVECT_TAB_OFFSET=0x10000
735
 #
739
 #
736
 [env:STM32F407VE_black]
740
 [env:STM32F407VE_black]
737
 platform          = ststm32
741
 platform          = ststm32
742
+platform_packages = framework-arduinoststm32@${common.arduinoststm32_ver}
738
 board             = blackSTM32F407VET6
743
 board             = blackSTM32F407VET6
739
-platform_packages = framework-arduinoststm32@>=3.10700,<4
740
 build_flags       = ${common.build_flags}
744
 build_flags       = ${common.build_flags}
741
   -DTARGET_STM32F4 -DARDUINO_BLACK_F407VE
745
   -DTARGET_STM32F4 -DARDUINO_BLACK_F407VE
742
   -DUSBCON -DUSBD_USE_CDC -DUSBD_VID=0x0483 -DUSB_PRODUCT=\"BLACK_F407VE\"
746
   -DUSBCON -DUSBD_USE_CDC -DUSBD_VID=0x0483 -DUSB_PRODUCT=\"BLACK_F407VE\"
752
 #
756
 #
753
 [env:BIGTREE_SKR_PRO]
757
 [env:BIGTREE_SKR_PRO]
754
 platform          = ststm32
758
 platform          = ststm32
759
+platform_packages = framework-arduinoststm32@${common.arduinoststm32_ver}
755
 board             = BigTree_SKR_Pro
760
 board             = BigTree_SKR_Pro
756
-platform_packages = framework-arduinoststm32@>=3.10700,<4
757
 build_flags       = ${common.build_flags}
761
 build_flags       = ${common.build_flags}
758
   -DUSBCON -DUSBD_USE_CDC -DUSBD_VID=0x0483 -DUSB_PRODUCT=\"STM32F407ZG\"
762
   -DUSBCON -DUSBD_USE_CDC -DUSBD_VID=0x0483 -DUSB_PRODUCT=\"STM32F407ZG\"
759
   -DTARGET_STM32F4 -DSTM32F407_5ZX -DVECT_TAB_OFFSET=0x8000
763
   -DTARGET_STM32F4 -DSTM32F407_5ZX -DVECT_TAB_OFFSET=0x8000
772
 #
776
 #
773
 [env:BIGTREE_GTR_V1_0]
777
 [env:BIGTREE_GTR_V1_0]
774
 platform          = ststm32@>=5.7.0
778
 platform          = ststm32@>=5.7.0
775
-platform_packages = framework-arduinoststm32@>=3.10700,<4
779
+platform_packages = framework-arduinoststm32@${common.arduinoststm32_ver}
776
 board             = BigTree_SKR_Pro
780
 board             = BigTree_SKR_Pro
777
 extra_scripts     = pre:buildroot/share/PlatformIO/scripts/generic_create_variant.py
781
 extra_scripts     = pre:buildroot/share/PlatformIO/scripts/generic_create_variant.py
778
 build_flags       = ${common.build_flags}
782
 build_flags       = ${common.build_flags}
794
 #
798
 #
795
 [env:BIGTREE_BTT002]
799
 [env:BIGTREE_BTT002]
796
 platform          = ststm32@5.6.0
800
 platform          = ststm32@5.6.0
801
+platform_packages = framework-arduinoststm32@${common.arduinoststm32_ver}
797
 board             = BigTree_Btt002
802
 board             = BigTree_Btt002
798
-platform_packages = framework-arduinoststm32@>=3.10700,<4
799
 build_flags       = ${common.build_flags}
803
 build_flags       = ${common.build_flags}
800
   -DUSBCON -DUSBD_USE_CDC -DUSBD_VID=0x0483 -DUSB_PRODUCT=\"STM32F407VG\"
804
   -DUSBCON -DUSBD_USE_CDC -DUSBD_VID=0x0483 -DUSB_PRODUCT=\"STM32F407VG\"
801
   -DTARGET_STM32F4 -DSTM32F407_5VX -DVECT_TAB_OFFSET=0x8000
805
   -DTARGET_STM32F4 -DSTM32F407_5VX -DVECT_TAB_OFFSET=0x8000
883
 #
887
 #
884
 [env:rumba32_f446ve]
888
 [env:rumba32_f446ve]
885
 platform      = ststm32
889
 platform      = ststm32
890
+platform_packages = framework-arduinoststm32@${common.arduinoststm32_ver}
886
 board         = rumba32_f446ve
891
 board         = rumba32_f446ve
887
 build_flags   = ${common.build_flags}
892
 build_flags   = ${common.build_flags}
888
   -DSTM32F4xx
893
   -DSTM32F4xx
899
   -DDISABLE_GENERIC_SERIALUSB
904
   -DDISABLE_GENERIC_SERIALUSB
900
   -DHAL_UART_MODULE_ENABLED
905
   -DHAL_UART_MODULE_ENABLED
901
   -Os
906
   -Os
902
-lib_ignore    = Adafruit NeoPixel
907
+  -IMarlin/src/HAL/STM32
908
+lib_ignore    = Adafruit NeoPixel, SoftwareSerial
903
 src_filter    = ${common.default_src_filter} +<src/HAL/STM32>
909
 src_filter    = ${common.default_src_filter} +<src/HAL/STM32>
904
 monitor_speed = 500000
910
 monitor_speed = 500000
905
 upload_protocol = dfu
911
 upload_protocol = dfu
909
 #
915
 #
910
 [env:rumba32_mks]
916
 [env:rumba32_mks]
911
 platform      = ststm32
917
 platform      = ststm32
918
+platform_packages = framework-arduinoststm32@${common.arduinoststm32_ver}
912
 board         = rumba32_f446ve
919
 board         = rumba32_f446ve
913
 build_flags   = ${common.build_flags}
920
 build_flags   = ${common.build_flags}
914
   -DSTM32F4xx -DARDUINO_RUMBA32_F446VE -DARDUINO_ARCH_STM32 "-DBOARD_NAME=\"RUMBA32_F446VE\""
921
   -DSTM32F4xx -DARDUINO_RUMBA32_F446VE -DARDUINO_ARCH_STM32 "-DBOARD_NAME=\"RUMBA32_F446VE\""
920
   -DDISABLE_GENERIC_SERIALUSB
927
   -DDISABLE_GENERIC_SERIALUSB
921
   -DHAL_UART_MODULE_ENABLED
928
   -DHAL_UART_MODULE_ENABLED
922
   -Os
929
   -Os
923
-lib_ignore    = Adafruit NeoPixel
924
-src_filter    = ${common.default_src_filter} +<src/HAL/STM32> +<src/HAL/STM32_F4_F7> -<src/HAL/STM32_F4_F7/STM32F7>
930
+  -IMarlin/src/HAL/STM32
931
+lib_ignore    = Adafruit NeoPixel, SoftwareSerial
932
+src_filter    = ${common.default_src_filter} +<src/HAL/STM32>
925
 upload_protocol = dfu
933
 upload_protocol = dfu
926
 
934
 
927
 #
935
 #

Loading…
Cancel
Save